Partners
For partners, such as installers and charge point operators, who manage sites for their customers.
Create and update organisations and locations on behalf of customers, and manage intakes: the information Zympler needs to bring a new site online, including uploaded files. Intakes can also be filled in by the customer through a link with a token: the by token endpoints.
As with Resources, you only see and change the partners, organisations and locations your service account has access to.
List partners
GET /partners
curl
curl -X GET "https://api.zympler.com/v1beta/partners" \
-H "Authorization: Bearer $ZYMPLER_TOKEN"Rust
let response = reqwest::Client::new()
.get("https://api.zympler.com/v1beta/partners")
.bearer_auth(&token)
.send()
.await?
.error_for_status()?;
let body: serde_json::Value = response.json().await?;Python
response = requests.get(
"https://api.zympler.com/v1beta/partners",
headers={"Authorization": f"Bearer {token}"},
timeout=30,
)
response.raise_for_status()
data = response.json()Responses
Fields
| Field | Type | Required | Description |
|---|---|---|---|
[].id | string (uuid) | yes | The id of the partner. |
[].name | string | yes | The name of the partner. |
[].enable_intake | boolean | yes | Indicates whether the partner has access to the intake product |
[].enable_simulation | boolean | yes | Indicates whether the partner has access to the simulation product |
[].enable_pricing | boolean | yes | Indicates whether the partner has access to the pricing product |
Status codes
| Status | Description |
|---|---|
200 | Ok |
Get partner
GET /partners/{partner_id}
curl
PARTNER_ID="<partner_id>"
curl -X GET "https://api.zympler.com/v1beta/partners/$PARTNER_ID" \
-H "Authorization: Bearer $ZYMPLER_TOKEN"Rust
let partner_id = "<partner_id>";
let response = reqwest::Client::new()
.get(format!("https://api.zympler.com/v1beta/partners/{partner_id}"))
.bearer_auth(&token)
.send()
.await?
.error_for_status()?;
let body: serde_json::Value = response.json().await?;Python
partner_id = "<partner_id>"
response = requests.get(
f"https://api.zympler.com/v1beta/partners/{partner_id}",
headers={"Authorization": f"Bearer {token}"},
timeout=30,
)
response.raise_for_status()
data = response.json()Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
partner_id | path | string (uuid) | yes | Partner ID |
Responses
Fields
| Field | Type | Required | Description |
|---|---|---|---|
id | string (uuid) | yes | The id of the partner. |
name | string | yes | The name of the partner. |
enable_intake | boolean | yes | Indicates whether the partner has access to the intake product |
enable_simulation | boolean | yes | Indicates whether the partner has access to the simulation product |
enable_pricing | boolean | yes | Indicates whether the partner has access to the pricing product |
Status codes
| Status | Description |
|---|---|
200 | Ok |
List organisations for a partner
GET /partners/{partner_id}/organisations
curl
PARTNER_ID="<partner_id>"
curl -X GET "https://api.zympler.com/v1beta/partners/$PARTNER_ID/organisations" \
-H "Authorization: Bearer $ZYMPLER_TOKEN"Rust
let partner_id = "<partner_id>";
let response = reqwest::Client::new()
.get(format!("https://api.zympler.com/v1beta/partners/{partner_id}/organisations"))
.bearer_auth(&token)
.send()
.await?
.error_for_status()?;
let body: serde_json::Value = response.json().await?;Python
partner_id = "<partner_id>"
response = requests.get(
f"https://api.zympler.com/v1beta/partners/{partner_id}/organisations",
headers={"Authorization": f"Bearer {token}"},
timeout=30,
)
response.raise_for_status()
data = response.json()Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
partner_id | path | string (uuid) | yes | Partner ID |
include_all_statuses | query | boolean | Whether or not to include all statuses for resources. |
Responses
Fields
| Field | Type | Required | Description |
|---|---|---|---|
[].id | string (uuid) | yes | The id of the organisation. |
[].name | string | yes | The name of the organisation. |
[].time_zone | string | yes | Default time zone for the organisation's location in IANA format. |
[].location_ids | string (uuid)[] | yes | The list of locations connected to the organisation. |
[].status | string: New, Staged, Live, Retired, Unknown | yes | Status to determine whether data collection, forecasting and planning is active |
Status codes
| Status | Description |
|---|---|
200 | Ok |
Create organisation and location for a partner
POST /partners/{partner_id}/organisations
curl
PARTNER_ID="<partner_id>"
curl -X POST "https://api.zympler.com/v1beta/partners/$PARTNER_ID/organisations" \
-H "Authorization: Bearer $ZYMPLER_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"organisation": {
"name": "Transport B.V.",
"time_zone": "string",
"status": "New"
},
"location": {
"name": "string",
"address": "string",
"address_additional": "string",
"house_number": 0,
"house_number_additional": "string",
"zip_code": "string",
"city": "string",
"country_code": "string",
"time_zone": "string",
"latitude": 0.0,
"longitude": 0.0,
"zoom": 0.0,
"main_operator_id": "00000000-0000-0000-0000-000000000000",
"status": "New"
}
}'Rust
let partner_id = "<partner_id>";
let response = reqwest::Client::new()
.post(format!("https://api.zympler.com/v1beta/partners/{partner_id}/organisations"))
.bearer_auth(&token)
.json(&serde_json::json!({
"organisation": {
"name": "Transport B.V.",
"time_zone": "string",
"status": "New"
},
"location": {
"name": "string",
"address": "string",
"address_additional": "string",
"house_number": 0,
"house_number_additional": "string",
"zip_code": "string",
"city": "string",
"country_code": "string",
"time_zone": "string",
"latitude": 0.0,
"longitude": 0.0,
"zoom": 0.0,
"main_operator_id": "00000000-0000-0000-0000-000000000000",
"status": "New"
}
}))
.send()
.await?
.error_for_status()?;
let body: serde_json::Value = response.json().await?;Python
partner_id = "<partner_id>"
response = requests.post(
f"https://api.zympler.com/v1beta/partners/{partner_id}/organisations",
headers={"Authorization": f"Bearer {token}"},
json={
"organisation": {
"name": "Transport B.V.",
"time_zone": "string",
"status": "New",
},
"location": {
"name": "string",
"address": "string",
"address_additional": "string",
"house_number": 0,
"house_number_additional": "string",
"zip_code": "string",
"city": "string",
"country_code": "string",
"time_zone": "string",
"latitude": 0.0,
"longitude": 0.0,
"zoom": 0.0,
"main_operator_id": "00000000-0000-0000-0000-000000000000",
"status": "New",
},
},
timeout=30,
)
response.raise_for_status()
data = response.json()Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
partner_id | path | string (uuid) | yes | Partner ID |
Request body
application/json
| Field | Type | Required | Description |
|---|---|---|---|
organisation | object | yes | |
organisation.name | string | yes | The name of the organisation. |
organisation.time_zone | string | yes | Default time zone for the organisation's location in IANA format. |
organisation.status | string: New, Staged, Live, Retired, Unknown | yes | Status to determine whether data collection, forecasting and planning is active |
location | object | yes | A location to create for an organisation that is created in the same request, to which it is linked. |
location.name | string | yes | The name of the location. |
location.address | string | The main address line with street name. | |
location.address_additional | string | An optional additional address line. | |
location.house_number | integer | House number of the location. | |
location.house_number_additional | string | Additions to the house number. | |
location.zip_code | string | Zip code. | |
location.city | string | Name of the city. | |
location.country_code | string | 2 letter country code in ISO 3166-1 alpha-2 format. | |
location.time_zone | string | yes | Time zone of the location in IANA format. |
location.latitude | number (float) | Latitude of the location. | |
location.longitude | number (float) | Longitude of the location. | |
location.zoom | number (float) | Zoom level for Google Maps for viewing the entire location. | |
location.main_operator_id | string (uuid) | The id of the partner. | |
location.status | string: New, Staged, Live, Retired, Unknown | yes | Status to determine whether data collection, forecasting and planning is active |
Responses
Fields
| Field | Type | Required | Description |
|---|---|---|---|
organisation | object | yes | |
organisation.id | string (uuid) | yes | The id of the organisation. |
organisation.name | string | yes | The name of the organisation. |
organisation.time_zone | string | yes | Default time zone for the organisation's location in IANA format. |
organisation.location_ids | string (uuid)[] | yes | The list of locations connected to the organisation. |
organisation.status | string: New, Staged, Live, Retired, Unknown | yes | Status to determine whether data collection, forecasting and planning is active |
location | object | yes | |
location.id | string (uuid) | yes | The id of the location. |
location.organisation_id | string (uuid) | yes | The id of the organisation. |
location.name | string | yes | The name of the location. |
location.address | string | The main address line with street name. | |
location.address_additional | string | An optional additional address line. | |
location.house_number | integer | House number of the location. | |
location.house_number_additional | string | Additions to the house number. | |
location.zip_code | string | Zip code. | |
location.city | string | Name of the city. | |
location.country_code | string | 2 letter country code in ISO 3166-1 alpha-2 format. | |
location.time_zone | string | yes | Time zone of the location in IANA format. |
location.latitude | number (float) | Latitude of the location. | |
location.longitude | number (float) | Longitude of the location. | |
location.zoom | number (float) | Zoom level for Google Maps for viewing the entire location. | |
location.asset_topology | string (uuid)[][] | yes | Edges of directed graph representing the topology of assets at the location. |
location.main_operator_id | string (uuid) | The id of the partner. | |
location.status | string: New, Staged, Live, Retired, Unknown | yes | Status to determine whether data collection, forecasting and planning is active |
Status codes
| Status | Description |
|---|---|
200 | Ok |
400 | Bad Request |
401 | Unauthorized |
403 | Forbidden |
Get organisation for a partner
GET /partners/{partner_id}/organisations/{organisation_id}
curl
PARTNER_ID="<partner_id>"
ORGANISATION_ID="<organisation_id>"
curl -X GET "https://api.zympler.com/v1beta/partners/$PARTNER_ID/organisations/$ORGANISATION_ID" \
-H "Authorization: Bearer $ZYMPLER_TOKEN"Rust
let partner_id = "<partner_id>";
let organisation_id = "<organisation_id>";
let response = reqwest::Client::new()
.get(format!("https://api.zympler.com/v1beta/partners/{partner_id}/organisations/{organisation_id}"))
.bearer_auth(&token)
.send()
.await?
.error_for_status()?;
let body: serde_json::Value = response.json().await?;Python
partner_id = "<partner_id>"
organisation_id = "<organisation_id>"
response = requests.get(
f"https://api.zympler.com/v1beta/partners/{partner_id}/organisations/{organisation_id}",
headers={"Authorization": f"Bearer {token}"},
timeout=30,
)
response.raise_for_status()
data = response.json()Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
partner_id | path | string (uuid) | yes | Partner ID |
organisation_id | path | string (uuid) | yes | Organisation ID |
include_all_statuses | query | boolean | Whether or not to include all statuses for resources. |
Responses
Fields
| Field | Type | Required | Description |
|---|---|---|---|
id | string (uuid) | yes | The id of the organisation. |
name | string | yes | The name of the organisation. |
time_zone | string | yes | Default time zone for the organisation's location in IANA format. |
location_ids | string (uuid)[] | yes | The list of locations connected to the organisation. |
status | string: New, Staged, Live, Retired, Unknown | yes | Status to determine whether data collection, forecasting and planning is active |
Status codes
| Status | Description |
|---|---|
200 | Ok |
Update organisation for a partner (deprecated, please use patch_partner_organisation instead)
PUT /partners/{partner_id}/organisations/{organisation_id} (deprecated)
curl
PARTNER_ID="<partner_id>"
ORGANISATION_ID="<organisation_id>"
curl -X PUT "https://api.zympler.com/v1beta/partners/$PARTNER_ID/organisations/$ORGANISATION_ID" \
-H "Authorization: Bearer $ZYMPLER_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"id": "00000000-0000-0000-0000-000000000000",
"name": "Transport B.V.",
"time_zone": "string",
"location_ids": [
"00000000-0000-0000-0000-000000000000"
],
"status": "New"
}'Rust
let partner_id = "<partner_id>";
let organisation_id = "<organisation_id>";
let response = reqwest::Client::new()
.put(format!("https://api.zympler.com/v1beta/partners/{partner_id}/organisations/{organisation_id}"))
.bearer_auth(&token)
.json(&serde_json::json!({
"id": "00000000-0000-0000-0000-000000000000",
"name": "Transport B.V.",
"time_zone": "string",
"location_ids": [
"00000000-0000-0000-0000-000000000000"
],
"status": "New"
}))
.send()
.await?
.error_for_status()?;
let body: serde_json::Value = response.json().await?;Python
partner_id = "<partner_id>"
organisation_id = "<organisation_id>"
response = requests.put(
f"https://api.zympler.com/v1beta/partners/{partner_id}/organisations/{organisation_id}",
headers={"Authorization": f"Bearer {token}"},
json={
"id": "00000000-0000-0000-0000-000000000000",
"name": "Transport B.V.",
"time_zone": "string",
"location_ids": [
"00000000-0000-0000-0000-000000000000",
],
"status": "New",
},
timeout=30,
)
response.raise_for_status()
data = response.json()Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
partner_id | path | string (uuid) | yes | Partner ID |
organisation_id | path | string (uuid) | yes | Organisation ID |
Request body
application/json
| Field | Type | Required | Description |
|---|---|---|---|
id | string (uuid) | yes | The id of the organisation. |
name | string | yes | The name of the organisation. |
time_zone | string | yes | Default time zone for the organisation's location in IANA format. |
location_ids | string (uuid)[] | yes | The list of locations connected to the organisation. |
status | string: New, Staged, Live, Retired, Unknown | yes | Status to determine whether data collection, forecasting and planning is active |
Responses
Status codes
| Status | Description |
|---|---|
200 | Ok |
400 | Bad Request |
401 | Unauthorized |
403 | Forbidden |
Update organisation for a partner
PATCH /partners/{partner_id}/organisations/{organisation_id}
Partially updates the organisation, following JSON Merge Patch semantics (RFC 7396). Omitted properties are left unchanged. None of the properties can be cleared, so they are not nullable.
curl
PARTNER_ID="<partner_id>"
ORGANISATION_ID="<organisation_id>"
curl -X PATCH "https://api.zympler.com/v1beta/partners/$PARTNER_ID/organisations/$ORGANISATION_ID" \
-H "Authorization: Bearer $ZYMPLER_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "string",
"time_zone": "string",
"status": "New",
"disabled": true
}'Rust
let partner_id = "<partner_id>";
let organisation_id = "<organisation_id>";
let response = reqwest::Client::new()
.patch(format!("https://api.zympler.com/v1beta/partners/{partner_id}/organisations/{organisation_id}"))
.bearer_auth(&token)
.json(&serde_json::json!({
"name": "string",
"time_zone": "string",
"status": "New",
"disabled": true
}))
.send()
.await?
.error_for_status()?;
let body: serde_json::Value = response.json().await?;Python
partner_id = "<partner_id>"
organisation_id = "<organisation_id>"
response = requests.patch(
f"https://api.zympler.com/v1beta/partners/{partner_id}/organisations/{organisation_id}",
headers={"Authorization": f"Bearer {token}"},
json={
"name": "string",
"time_zone": "string",
"status": "New",
"disabled": True,
},
timeout=30,
)
response.raise_for_status()
data = response.json()Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
partner_id | path | string (uuid) | yes | Partner ID |
organisation_id | path | string (uuid) | yes | Organisation ID |
Request body
application/json
| Field | Type | Required | Description |
|---|---|---|---|
name | string | The name of the organisation. | |
time_zone | string | Default time zone for the organisation's location in IANA format. | |
status | string: New, Staged, Live, Retired, Unknown | Status to determine whether data collection, forecasting and planning is active | |
disabled | boolean | Whether the organisation is disabled. |
Responses
Status codes
| Status | Description |
|---|---|
200 | Ok |
400 | Bad Request |
401 | Unauthorized |
403 | Forbidden |
Delete organisation for a partner
DELETE /partners/{partner_id}/organisations/{organisation_id}
curl
PARTNER_ID="<partner_id>"
ORGANISATION_ID="<organisation_id>"
curl -X DELETE "https://api.zympler.com/v1beta/partners/$PARTNER_ID/organisations/$ORGANISATION_ID" \
-H "Authorization: Bearer $ZYMPLER_TOKEN"Rust
let partner_id = "<partner_id>";
let organisation_id = "<organisation_id>";
let response = reqwest::Client::new()
.delete(format!("https://api.zympler.com/v1beta/partners/{partner_id}/organisations/{organisation_id}"))
.bearer_auth(&token)
.send()
.await?
.error_for_status()?;
let body: serde_json::Value = response.json().await?;Python
partner_id = "<partner_id>"
organisation_id = "<organisation_id>"
response = requests.delete(
f"https://api.zympler.com/v1beta/partners/{partner_id}/organisations/{organisation_id}",
headers={"Authorization": f"Bearer {token}"},
timeout=30,
)
response.raise_for_status()
data = response.json()Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
partner_id | path | string (uuid) | yes | Partner ID |
organisation_id | path | string (uuid) | yes | Organisation ID |
Responses
Status codes
| Status | Description |
|---|---|
200 | Ok |
401 | Unauthorized |
403 | Forbidden |
List locations for a partner
GET /partners/{partner_id}/locations
curl
PARTNER_ID="<partner_id>"
curl -X GET "https://api.zympler.com/v1beta/partners/$PARTNER_ID/locations" \
-H "Authorization: Bearer $ZYMPLER_TOKEN"Rust
let partner_id = "<partner_id>";
let response = reqwest::Client::new()
.get(format!("https://api.zympler.com/v1beta/partners/{partner_id}/locations"))
.bearer_auth(&token)
.send()
.await?
.error_for_status()?;
let body: serde_json::Value = response.json().await?;Python
partner_id = "<partner_id>"
response = requests.get(
f"https://api.zympler.com/v1beta/partners/{partner_id}/locations",
headers={"Authorization": f"Bearer {token}"},
timeout=30,
)
response.raise_for_status()
data = response.json()Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
partner_id | path | string (uuid) | yes | Partner ID |
organisation_id | query | string (uuid) | Organisation ID | |
include_all_statuses | query | boolean | Whether or not to include all statuses for resources. |
Responses
Fields
| Field | Type | Required | Description |
|---|---|---|---|
[].id | string (uuid) | yes | The id of the location. |
[].organisation_id | string (uuid) | yes | The id of the organisation. |
[].name | string | yes | The name of the location. |
[].address | string | The main address line with street name. | |
[].address_additional | string | An optional additional address line. | |
[].house_number | integer | House number of the location. | |
[].house_number_additional | string | Additions to the house number. | |
[].zip_code | string | Zip code. | |
[].city | string | Name of the city. | |
[].country_code | string | 2 letter country code in ISO 3166-1 alpha-2 format. | |
[].time_zone | string | yes | Time zone of the location in IANA format. |
[].latitude | number (float) | Latitude of the location. | |
[].longitude | number (float) | Longitude of the location. | |
[].zoom | number (float) | Zoom level for Google Maps for viewing the entire location. | |
[].asset_topology | string (uuid)[][] | yes | Edges of directed graph representing the topology of assets at the location. |
[].main_operator_id | string (uuid) | The id of the partner. | |
[].status | string: New, Staged, Live, Retired, Unknown | yes | Status to determine whether data collection, forecasting and planning is active |
Status codes
| Status | Description |
|---|---|
200 | Ok |
Add location for a partner
POST /partners/{partner_id}/locations
curl
PARTNER_ID="<partner_id>"
curl -X POST "https://api.zympler.com/v1beta/partners/$PARTNER_ID/locations" \
-H "Authorization: Bearer $ZYMPLER_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"organisation_id": "00000000-0000-0000-0000-000000000000",
"name": "string",
"address": "string",
"address_additional": "string",
"house_number": 0,
"house_number_additional": "string",
"zip_code": "string",
"city": "string",
"country_code": "string",
"time_zone": "string",
"latitude": 0.0,
"longitude": 0.0,
"zoom": 0.0,
"main_operator_id": "00000000-0000-0000-0000-000000000000",
"status": "New"
}'Rust
let partner_id = "<partner_id>";
let response = reqwest::Client::new()
.post(format!("https://api.zympler.com/v1beta/partners/{partner_id}/locations"))
.bearer_auth(&token)
.json(&serde_json::json!({
"organisation_id": "00000000-0000-0000-0000-000000000000",
"name": "string",
"address": "string",
"address_additional": "string",
"house_number": 0,
"house_number_additional": "string",
"zip_code": "string",
"city": "string",
"country_code": "string",
"time_zone": "string",
"latitude": 0.0,
"longitude": 0.0,
"zoom": 0.0,
"main_operator_id": "00000000-0000-0000-0000-000000000000",
"status": "New"
}))
.send()
.await?
.error_for_status()?;
let body: serde_json::Value = response.json().await?;Python
partner_id = "<partner_id>"
response = requests.post(
f"https://api.zympler.com/v1beta/partners/{partner_id}/locations",
headers={"Authorization": f"Bearer {token}"},
json={
"organisation_id": "00000000-0000-0000-0000-000000000000",
"name": "string",
"address": "string",
"address_additional": "string",
"house_number": 0,
"house_number_additional": "string",
"zip_code": "string",
"city": "string",
"country_code": "string",
"time_zone": "string",
"latitude": 0.0,
"longitude": 0.0,
"zoom": 0.0,
"main_operator_id": "00000000-0000-0000-0000-000000000000",
"status": "New",
},
timeout=30,
)
response.raise_for_status()
data = response.json()Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
partner_id | path | string (uuid) | yes | Partner ID |
Request body
application/json
One of: CreatePartnerLocation
| Field | Type | Required | Description |
|---|---|---|---|
organisation_id | string (uuid) | yes | The id of the organisation. |
name | string | yes | The name of the location. |
address | string | The main address line with street name. | |
address_additional | string | An optional additional address line. | |
house_number | integer | House number of the location. | |
house_number_additional | string | Additions to the house number. | |
zip_code | string | Zip code. | |
city | string | Name of the city. | |
country_code | string | 2 letter country code in ISO 3166-1 alpha-2 format. | |
time_zone | string | yes | Time zone of the location in IANA format. |
latitude | number (float) | Latitude of the location. | |
longitude | number (float) | Longitude of the location. | |
zoom | number (float) | Zoom level for Google Maps for viewing the entire location. | |
main_operator_id | string (uuid) | The id of the partner. | |
status | string: New, Staged, Live, Retired, Unknown | yes | Status to determine whether data collection, forecasting and planning is active |
Or: LegacyAddPartnerLocation
| Field | Type | Required | Description |
|---|---|---|---|
partner_id | string (uuid) | yes | The id of the partner. |
location | object | yes | |
location.organisation_id | string (uuid) | yes | The id of the organisation. |
location.name | string | yes | The name of the location. |
location.address | string | The main address line with street name. | |
location.address_additional | string | An optional additional address line. | |
location.house_number | integer | House number of the location. | |
location.house_number_additional | string | Additions to the house number. | |
location.zip_code | string | Zip code. | |
location.city | string | Name of the city. | |
location.country_code | string | 2 letter country code in ISO 3166-1 alpha-2 format. | |
location.time_zone | string | yes | Time zone of the location in IANA format. |
location.latitude | number (float) | Latitude of the location. | |
location.longitude | number (float) | Longitude of the location. | |
location.zoom | number (float) | Zoom level for Google Maps for viewing the entire location. | |
location.main_operator_id | string (uuid) | The id of the partner. | |
location.status | string: New, Staged, Live, Retired, Unknown | yes | Status to determine whether data collection, forecasting and planning is active |
Responses
Fields
| Field | Type | Required | Description |
|---|---|---|---|
id | string (uuid) | yes | The id of the location. |
organisation_id | string (uuid) | yes | The id of the organisation. |
name | string | yes | The name of the location. |
address | string | The main address line with street name. | |
address_additional | string | An optional additional address line. | |
house_number | integer | House number of the location. | |
house_number_additional | string | Additions to the house number. | |
zip_code | string | Zip code. | |
city | string | Name of the city. | |
country_code | string | 2 letter country code in ISO 3166-1 alpha-2 format. | |
time_zone | string | yes | Time zone of the location in IANA format. |
latitude | number (float) | Latitude of the location. | |
longitude | number (float) | Longitude of the location. | |
zoom | number (float) | Zoom level for Google Maps for viewing the entire location. | |
asset_topology | string (uuid)[][] | yes | Edges of directed graph representing the topology of assets at the location. |
main_operator_id | string (uuid) | The id of the partner. | |
status | string: New, Staged, Live, Retired, Unknown | yes | Status to determine whether data collection, forecasting and planning is active |
Status codes
| Status | Description |
|---|---|
200 | Ok |
400 | Bad Request |
401 | Unauthorized |
403 | Forbidden |
Get location for a partner
GET /partners/{partner_id}/locations/{location_id}
curl
PARTNER_ID="<partner_id>"
LOCATION_ID="<location_id>"
curl -X GET "https://api.zympler.com/v1beta/partners/$PARTNER_ID/locations/$LOCATION_ID" \
-H "Authorization: Bearer $ZYMPLER_TOKEN"Rust
let partner_id = "<partner_id>";
let location_id = "<location_id>";
let response = reqwest::Client::new()
.get(format!("https://api.zympler.com/v1beta/partners/{partner_id}/locations/{location_id}"))
.bearer_auth(&token)
.send()
.await?
.error_for_status()?;
let body: serde_json::Value = response.json().await?;Python
partner_id = "<partner_id>"
location_id = "<location_id>"
response = requests.get(
f"https://api.zympler.com/v1beta/partners/{partner_id}/locations/{location_id}",
headers={"Authorization": f"Bearer {token}"},
timeout=30,
)
response.raise_for_status()
data = response.json()Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
partner_id | path | string (uuid) | yes | Partner ID |
location_id | path | string (uuid) | yes | Location ID |
include_all_statuses | query | boolean | Whether or not to include all statuses for resources. |
Responses
Fields
| Field | Type | Required | Description |
|---|---|---|---|
id | string (uuid) | yes | The id of the location. |
organisation_id | string (uuid) | yes | The id of the organisation. |
name | string | yes | The name of the location. |
address | string | The main address line with street name. | |
address_additional | string | An optional additional address line. | |
house_number | integer | House number of the location. | |
house_number_additional | string | Additions to the house number. | |
zip_code | string | Zip code. | |
city | string | Name of the city. | |
country_code | string | 2 letter country code in ISO 3166-1 alpha-2 format. | |
time_zone | string | yes | Time zone of the location in IANA format. |
latitude | number (float) | Latitude of the location. | |
longitude | number (float) | Longitude of the location. | |
zoom | number (float) | Zoom level for Google Maps for viewing the entire location. | |
asset_topology | string (uuid)[][] | yes | Edges of directed graph representing the topology of assets at the location. |
main_operator_id | string (uuid) | The id of the partner. | |
status | string: New, Staged, Live, Retired, Unknown | yes | Status to determine whether data collection, forecasting and planning is active |
Status codes
| Status | Description |
|---|---|
200 | Ok |
Update location for a partner (deprecated, please use patch_partner_location instead)
PUT /partners/{partner_id}/locations/{location_id} (deprecated)
curl
PARTNER_ID="<partner_id>"
LOCATION_ID="<location_id>"
curl -X PUT "https://api.zympler.com/v1beta/partners/$PARTNER_ID/locations/$LOCATION_ID" \
-H "Authorization: Bearer $ZYMPLER_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"id": "00000000-0000-0000-0000-000000000000",
"organisation_id": "00000000-0000-0000-0000-000000000000",
"name": "string",
"address": "string",
"address_additional": "string",
"house_number": 0,
"house_number_additional": "string",
"zip_code": "string",
"city": "string",
"country_code": "string",
"time_zone": "string",
"latitude": 0.0,
"longitude": 0.0,
"zoom": 0.0,
"asset_topology": [
[
"00000000-0000-0000-0000-000000000000"
]
],
"main_operator_id": "00000000-0000-0000-0000-000000000000",
"status": "New"
}'Rust
let partner_id = "<partner_id>";
let location_id = "<location_id>";
let response = reqwest::Client::new()
.put(format!("https://api.zympler.com/v1beta/partners/{partner_id}/locations/{location_id}"))
.bearer_auth(&token)
.json(&serde_json::json!({
"id": "00000000-0000-0000-0000-000000000000",
"organisation_id": "00000000-0000-0000-0000-000000000000",
"name": "string",
"address": "string",
"address_additional": "string",
"house_number": 0,
"house_number_additional": "string",
"zip_code": "string",
"city": "string",
"country_code": "string",
"time_zone": "string",
"latitude": 0.0,
"longitude": 0.0,
"zoom": 0.0,
"asset_topology": [
[
"00000000-0000-0000-0000-000000000000"
]
],
"main_operator_id": "00000000-0000-0000-0000-000000000000",
"status": "New"
}))
.send()
.await?
.error_for_status()?;
let body: serde_json::Value = response.json().await?;Python
partner_id = "<partner_id>"
location_id = "<location_id>"
response = requests.put(
f"https://api.zympler.com/v1beta/partners/{partner_id}/locations/{location_id}",
headers={"Authorization": f"Bearer {token}"},
json={
"id": "00000000-0000-0000-0000-000000000000",
"organisation_id": "00000000-0000-0000-0000-000000000000",
"name": "string",
"address": "string",
"address_additional": "string",
"house_number": 0,
"house_number_additional": "string",
"zip_code": "string",
"city": "string",
"country_code": "string",
"time_zone": "string",
"latitude": 0.0,
"longitude": 0.0,
"zoom": 0.0,
"asset_topology": [
[
"00000000-0000-0000-0000-000000000000",
],
],
"main_operator_id": "00000000-0000-0000-0000-000000000000",
"status": "New",
},
timeout=30,
)
response.raise_for_status()
data = response.json()Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
partner_id | path | string (uuid) | yes | Partner ID |
location_id | path | string (uuid) | yes | Location ID |
Request body
application/json
| Field | Type | Required | Description |
|---|---|---|---|
id | string (uuid) | yes | The id of the location. |
organisation_id | string (uuid) | yes | The id of the organisation. |
name | string | yes | The name of the location. |
address | string | The main address line with street name. | |
address_additional | string | An optional additional address line. | |
house_number | integer | House number of the location. | |
house_number_additional | string | Additions to the house number. | |
zip_code | string | Zip code. | |
city | string | Name of the city. | |
country_code | string | 2 letter country code in ISO 3166-1 alpha-2 format. | |
time_zone | string | yes | Time zone of the location in IANA format. |
latitude | number (float) | Latitude of the location. | |
longitude | number (float) | Longitude of the location. | |
zoom | number (float) | Zoom level for Google Maps for viewing the entire location. | |
asset_topology | string (uuid)[][] | yes | Edges of directed graph representing the topology of assets at the location. |
main_operator_id | string (uuid) | The id of the partner. | |
status | string: New, Staged, Live, Retired, Unknown | yes | Status to determine whether data collection, forecasting and planning is active |
Responses
Status codes
| Status | Description |
|---|---|
200 | Ok |
400 | Bad Request |
401 | Unauthorized |
403 | Forbidden |
Update location for a partner
PATCH /partners/{partner_id}/locations/{location_id}
Partially updates the location, following JSON Merge Patch semantics (RFC 7396). Omitted properties are left unchanged and nullable properties are cleared by sending null.
curl
PARTNER_ID="<partner_id>"
LOCATION_ID="<location_id>"
curl -X PATCH "https://api.zympler.com/v1beta/partners/$PARTNER_ID/locations/$LOCATION_ID" \
-H "Authorization: Bearer $ZYMPLER_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "string",
"address": "string",
"address_additional": "string",
"house_number": 0,
"house_number_additional": "string",
"zip_code": "string",
"city": "string",
"country_code": "string",
"disabled": true
}'Rust
let partner_id = "<partner_id>";
let location_id = "<location_id>";
let response = reqwest::Client::new()
.patch(format!("https://api.zympler.com/v1beta/partners/{partner_id}/locations/{location_id}"))
.bearer_auth(&token)
.json(&serde_json::json!({
"name": "string",
"address": "string",
"address_additional": "string",
"house_number": 0,
"house_number_additional": "string",
"zip_code": "string",
"city": "string",
"country_code": "string",
"disabled": true
}))
.send()
.await?
.error_for_status()?;
let body: serde_json::Value = response.json().await?;Python
partner_id = "<partner_id>"
location_id = "<location_id>"
response = requests.patch(
f"https://api.zympler.com/v1beta/partners/{partner_id}/locations/{location_id}",
headers={"Authorization": f"Bearer {token}"},
json={
"name": "string",
"address": "string",
"address_additional": "string",
"house_number": 0,
"house_number_additional": "string",
"zip_code": "string",
"city": "string",
"country_code": "string",
"disabled": True,
},
timeout=30,
)
response.raise_for_status()
data = response.json()Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
partner_id | path | string (uuid) | yes | Partner ID |
location_id | path | string (uuid) | yes | Location ID |
Request body
application/json
| Field | Type | Required | Description |
|---|---|---|---|
name | string | The name of the location. | |
address | string | null | The main address line with street name. | |
address_additional | string | null | An optional additional address line. | |
house_number | integer | null (int64) | House number of the location. | |
house_number_additional | string | null | Additions to the house number. | |
zip_code | string | null | Zip code. | |
city | string | null | Name of the city. | |
country_code | string | null | 2 letter country code in ISO 3166-1 alpha-2 format. | |
disabled | boolean | Whether the location is disabled. |
Responses
Status codes
| Status | Description |
|---|---|
200 | Ok |
400 | Bad Request |
401 | Unauthorized |
403 | Forbidden |
Delete location for a partner
DELETE /partners/{partner_id}/locations/{location_id}
curl
PARTNER_ID="<partner_id>"
LOCATION_ID="<location_id>"
curl -X DELETE "https://api.zympler.com/v1beta/partners/$PARTNER_ID/locations/$LOCATION_ID" \
-H "Authorization: Bearer $ZYMPLER_TOKEN"Rust
let partner_id = "<partner_id>";
let location_id = "<location_id>";
let response = reqwest::Client::new()
.delete(format!("https://api.zympler.com/v1beta/partners/{partner_id}/locations/{location_id}"))
.bearer_auth(&token)
.send()
.await?
.error_for_status()?;
let body: serde_json::Value = response.json().await?;Python
partner_id = "<partner_id>"
location_id = "<location_id>"
response = requests.delete(
f"https://api.zympler.com/v1beta/partners/{partner_id}/locations/{location_id}",
headers={"Authorization": f"Bearer {token}"},
timeout=30,
)
response.raise_for_status()
data = response.json()Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
partner_id | path | string (uuid) | yes | Partner ID |
location_id | path | string (uuid) | yes | Location ID |
Responses
Status codes
| Status | Description |
|---|---|
200 | Ok |
401 | Unauthorized |
403 | Forbidden |
List partner intakes
GET /partners/{partner_id}/intakes
curl
PARTNER_ID="<partner_id>"
curl -X GET "https://api.zympler.com/v1beta/partners/$PARTNER_ID/intakes" \
-H "Authorization: Bearer $ZYMPLER_TOKEN"Rust
let partner_id = "<partner_id>";
let response = reqwest::Client::new()
.get(format!("https://api.zympler.com/v1beta/partners/{partner_id}/intakes"))
.bearer_auth(&token)
.send()
.await?
.error_for_status()?;
let body: serde_json::Value = response.json().await?;Python
partner_id = "<partner_id>"
response = requests.get(
f"https://api.zympler.com/v1beta/partners/{partner_id}/intakes",
headers={"Authorization": f"Bearer {token}"},
timeout=30,
)
response.raise_for_status()
data = response.json()Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
partner_id | path | string (uuid) | yes | Partner ID |
include_disabled | query | boolean | Whether or not to include disabled resources. |
Responses
Fields
Type: object[]
Status codes
| Status | Description |
|---|---|
200 | Ok |
401 | Unauthorized |
403 | Forbidden |
Create partner intake
POST /partners/{partner_id}/intakes
curl
PARTNER_ID="<partner_id>"
curl -X POST "https://api.zympler.com/v1beta/partners/$PARTNER_ID/intakes" \
-H "Authorization: Bearer $ZYMPLER_TOKEN" \
-H "Content-Type: application/json" \
-d '{}'Rust
let partner_id = "<partner_id>";
let response = reqwest::Client::new()
.post(format!("https://api.zympler.com/v1beta/partners/{partner_id}/intakes"))
.bearer_auth(&token)
.json(&serde_json::json!({}))
.send()
.await?
.error_for_status()?;
let body: serde_json::Value = response.json().await?;Python
partner_id = "<partner_id>"
response = requests.post(
f"https://api.zympler.com/v1beta/partners/{partner_id}/intakes",
headers={"Authorization": f"Bearer {token}"},
json={},
timeout=30,
)
response.raise_for_status()
data = response.json()Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
partner_id | path | string (uuid) | yes | Partner ID |
Request body
application/json
Type: object
Responses
Fields
Type: object
Status codes
| Status | Description |
|---|---|
200 | Ok |
400 | Bad Request |
401 | Unauthorized |
403 | Forbidden |
Get partner intake
GET /partners/{partner_id}/intakes/{partner_intake_id}
curl
PARTNER_ID="<partner_id>"
PARTNER_INTAKE_ID="<partner_intake_id>"
curl -X GET "https://api.zympler.com/v1beta/partners/$PARTNER_ID/intakes/$PARTNER_INTAKE_ID" \
-H "Authorization: Bearer $ZYMPLER_TOKEN"Rust
let partner_id = "<partner_id>";
let partner_intake_id = "<partner_intake_id>";
let response = reqwest::Client::new()
.get(format!("https://api.zympler.com/v1beta/partners/{partner_id}/intakes/{partner_intake_id}"))
.bearer_auth(&token)
.send()
.await?
.error_for_status()?;
let body: serde_json::Value = response.json().await?;Python
partner_id = "<partner_id>"
partner_intake_id = "<partner_intake_id>"
response = requests.get(
f"https://api.zympler.com/v1beta/partners/{partner_id}/intakes/{partner_intake_id}",
headers={"Authorization": f"Bearer {token}"},
timeout=30,
)
response.raise_for_status()
data = response.json()Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
partner_id | path | string (uuid) | yes | Partner ID |
partner_intake_id | path | string (uuid) | yes | Partner intake ID |
include_disabled | query | boolean | Whether or not to include disabled resources. |
Responses
Fields
Type: object
Status codes
| Status | Description |
|---|---|
200 | Ok |
401 | Unauthorized |
403 | Forbidden |
Update partner intake (deprecated, please use patch_partner_intake instead)
PUT /partners/{partner_id}/intakes/{partner_intake_id} (deprecated)
curl
PARTNER_ID="<partner_id>"
PARTNER_INTAKE_ID="<partner_intake_id>"
curl -X PUT "https://api.zympler.com/v1beta/partners/$PARTNER_ID/intakes/$PARTNER_INTAKE_ID" \
-H "Authorization: Bearer $ZYMPLER_TOKEN" \
-H "Content-Type: application/json" \
-d '{}'Rust
let partner_id = "<partner_id>";
let partner_intake_id = "<partner_intake_id>";
let response = reqwest::Client::new()
.put(format!("https://api.zympler.com/v1beta/partners/{partner_id}/intakes/{partner_intake_id}"))
.bearer_auth(&token)
.json(&serde_json::json!({}))
.send()
.await?
.error_for_status()?;
let body: serde_json::Value = response.json().await?;Python
partner_id = "<partner_id>"
partner_intake_id = "<partner_intake_id>"
response = requests.put(
f"https://api.zympler.com/v1beta/partners/{partner_id}/intakes/{partner_intake_id}",
headers={"Authorization": f"Bearer {token}"},
json={},
timeout=30,
)
response.raise_for_status()
data = response.json()Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
partner_id | path | string (uuid) | yes | Partner ID |
partner_intake_id | path | string (uuid) | yes | Partner intake ID |
Request body
application/json
Type: object
Responses
Fields
Type: object
Status codes
| Status | Description |
|---|---|
200 | Ok |
400 | Bad Request |
401 | Unauthorized |
403 | Forbidden |
Patch partner intake
PATCH /partners/{partner_id}/intakes/{partner_intake_id}
curl
PARTNER_ID="<partner_id>"
PARTNER_INTAKE_ID="<partner_intake_id>"
curl -X PATCH "https://api.zympler.com/v1beta/partners/$PARTNER_ID/intakes/$PARTNER_INTAKE_ID" \
-H "Authorization: Bearer $ZYMPLER_TOKEN" \
-H "Content-Type: application/json" \
-d '{}'Rust
let partner_id = "<partner_id>";
let partner_intake_id = "<partner_intake_id>";
let response = reqwest::Client::new()
.patch(format!("https://api.zympler.com/v1beta/partners/{partner_id}/intakes/{partner_intake_id}"))
.bearer_auth(&token)
.json(&serde_json::json!({}))
.send()
.await?
.error_for_status()?;
let body: serde_json::Value = response.json().await?;Python
partner_id = "<partner_id>"
partner_intake_id = "<partner_intake_id>"
response = requests.patch(
f"https://api.zympler.com/v1beta/partners/{partner_id}/intakes/{partner_intake_id}",
headers={"Authorization": f"Bearer {token}"},
json={},
timeout=30,
)
response.raise_for_status()
data = response.json()Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
partner_id | path | string (uuid) | yes | Partner ID |
partner_intake_id | path | string (uuid) | yes | Partner intake ID |
Request body
application/json
Type: object
Responses
Fields
Type: object
Status codes
| Status | Description |
|---|---|
200 | Ok |
400 | Bad Request |
401 | Unauthorized |
403 | Forbidden |
Delete partner intake
DELETE /partners/{partner_id}/intakes/{partner_intake_id}
curl
PARTNER_ID="<partner_id>"
PARTNER_INTAKE_ID="<partner_intake_id>"
curl -X DELETE "https://api.zympler.com/v1beta/partners/$PARTNER_ID/intakes/$PARTNER_INTAKE_ID" \
-H "Authorization: Bearer $ZYMPLER_TOKEN"Rust
let partner_id = "<partner_id>";
let partner_intake_id = "<partner_intake_id>";
let response = reqwest::Client::new()
.delete(format!("https://api.zympler.com/v1beta/partners/{partner_id}/intakes/{partner_intake_id}"))
.bearer_auth(&token)
.send()
.await?
.error_for_status()?;
let body: serde_json::Value = response.json().await?;Python
partner_id = "<partner_id>"
partner_intake_id = "<partner_intake_id>"
response = requests.delete(
f"https://api.zympler.com/v1beta/partners/{partner_id}/intakes/{partner_intake_id}",
headers={"Authorization": f"Bearer {token}"},
timeout=30,
)
response.raise_for_status()
data = response.json()Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
partner_id | path | string (uuid) | yes | Partner ID |
partner_intake_id | path | string (uuid) | yes | Partner intake ID |
Responses
Status codes
| Status | Description |
|---|---|
200 | Ok |
400 | Bad Request |
401 | Unauthorized |
403 | Forbidden |
Get partner intake token
GET /partners/{partner_id}/intakes/{partner_intake_id}/token
curl
PARTNER_ID="<partner_id>"
PARTNER_INTAKE_ID="<partner_intake_id>"
curl -X GET "https://api.zympler.com/v1beta/partners/$PARTNER_ID/intakes/$PARTNER_INTAKE_ID/token" \
-H "Authorization: Bearer $ZYMPLER_TOKEN"Rust
let partner_id = "<partner_id>";
let partner_intake_id = "<partner_intake_id>";
let response = reqwest::Client::new()
.get(format!("https://api.zympler.com/v1beta/partners/{partner_id}/intakes/{partner_intake_id}/token"))
.bearer_auth(&token)
.send()
.await?
.error_for_status()?;
let body: serde_json::Value = response.json().await?;Python
partner_id = "<partner_id>"
partner_intake_id = "<partner_intake_id>"
response = requests.get(
f"https://api.zympler.com/v1beta/partners/{partner_id}/intakes/{partner_intake_id}/token",
headers={"Authorization": f"Bearer {token}"},
timeout=30,
)
response.raise_for_status()
data = response.json()Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
partner_id | path | string (uuid) | yes | Partner ID |
partner_intake_id | path | string (uuid) | yes | Partner intake ID |
Responses
Fields
Type: string
Status codes
| Status | Description |
|---|---|
200 | Ok |
401 | Unauthorized |
403 | Forbidden |
Upload partner intake file
POST /partners/{partner_id}/intakes/{partner_intake_id}/files
curl
PARTNER_ID="<partner_id>"
PARTNER_INTAKE_ID="<partner_intake_id>"
curl -X POST "https://api.zympler.com/v1beta/partners/$PARTNER_ID/intakes/$PARTNER_INTAKE_ID/files?file_id=00000000-0000-0000-0000-000000000000&file_type=string&original_filename=string" \
-H "Authorization: Bearer $ZYMPLER_TOKEN" \
-H "Content-Type: application/pdf" \
--data-binary @fileRust
let partner_id = "<partner_id>";
let partner_intake_id = "<partner_intake_id>";
let response = reqwest::Client::new()
.post(format!("https://api.zympler.com/v1beta/partners/{partner_id}/intakes/{partner_intake_id}/files"))
.bearer_auth(&token)
.query(&[("file_id", "00000000-0000-0000-0000-000000000000"), ("file_type", "string"), ("original_filename", "string")])
.header("Content-Type", "application/pdf")
.body(std::fs::read("file")?)
.send()
.await?
.error_for_status()?;
let body: serde_json::Value = response.json().await?;Python
partner_id = "<partner_id>"
partner_intake_id = "<partner_intake_id>"
response = requests.post(
f"https://api.zympler.com/v1beta/partners/{partner_id}/intakes/{partner_intake_id}/files",
headers={"Authorization": f"Bearer {token}", "Content-Type": "application/pdf"},
params={
"file_id": "00000000-0000-0000-0000-000000000000",
"file_type": "string",
"original_filename": "string",
},
data=open("file", "rb"),
timeout=30,
)
response.raise_for_status()
data = response.json()Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
partner_id | path | string (uuid) | yes | Partner ID |
partner_intake_id | path | string (uuid) | yes | Partner intake ID |
file_id | query | string (uuid) | yes | Partner intake file ID |
file_type | query | string | yes | Partner intake file type |
original_filename | query | string | yes | Partner intake original file name |
mime_type | query | string | Partner intake file mime type | |
file_size | query | integer | Partner intake file size in bytes |
Request body
application/pdf
Type: string (binary)
Responses
Status codes
| Status | Description |
|---|---|
200 | Ok |
400 | Bad Request |
401 | Unauthorized |
403 | Forbidden |
Download partner intake file
GET /partners/{partner_id}/intakes/{partner_intake_id}/files/{partner_intake_file_id}
curl
PARTNER_ID="<partner_id>"
PARTNER_INTAKE_ID="<partner_intake_id>"
PARTNER_INTAKE_FILE_ID="<partner_intake_file_id>"
curl -X GET "https://api.zympler.com/v1beta/partners/$PARTNER_ID/intakes/$PARTNER_INTAKE_ID/files/$PARTNER_INTAKE_FILE_ID" \
-H "Authorization: Bearer $ZYMPLER_TOKEN"Rust
let partner_id = "<partner_id>";
let partner_intake_id = "<partner_intake_id>";
let partner_intake_file_id = "<partner_intake_file_id>";
let response = reqwest::Client::new()
.get(format!("https://api.zympler.com/v1beta/partners/{partner_id}/intakes/{partner_intake_id}/files/{partner_intake_file_id}"))
.bearer_auth(&token)
.send()
.await?
.error_for_status()?;
let body: serde_json::Value = response.json().await?;Python
partner_id = "<partner_id>"
partner_intake_id = "<partner_intake_id>"
partner_intake_file_id = "<partner_intake_file_id>"
response = requests.get(
f"https://api.zympler.com/v1beta/partners/{partner_id}/intakes/{partner_intake_id}/files/{partner_intake_file_id}",
headers={"Authorization": f"Bearer {token}"},
timeout=30,
)
response.raise_for_status()
data = response.json()Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
partner_id | path | string (uuid) | yes | Partner ID |
partner_intake_id | path | string (uuid) | yes | Partner intake ID |
partner_intake_file_id | path | string (uuid) | yes | Partner intake file ID |
Responses
Fields
Type: string (binary)
Status codes
| Status | Description |
|---|---|
200 | Ok |
401 | Unauthorized |
403 | Forbidden |
Delete partner intake file
DELETE /partners/{partner_id}/intakes/{partner_intake_id}/files/{partner_intake_file_id}
curl
PARTNER_ID="<partner_id>"
PARTNER_INTAKE_ID="<partner_intake_id>"
PARTNER_INTAKE_FILE_ID="<partner_intake_file_id>"
curl -X DELETE "https://api.zympler.com/v1beta/partners/$PARTNER_ID/intakes/$PARTNER_INTAKE_ID/files/$PARTNER_INTAKE_FILE_ID" \
-H "Authorization: Bearer $ZYMPLER_TOKEN"Rust
let partner_id = "<partner_id>";
let partner_intake_id = "<partner_intake_id>";
let partner_intake_file_id = "<partner_intake_file_id>";
let response = reqwest::Client::new()
.delete(format!("https://api.zympler.com/v1beta/partners/{partner_id}/intakes/{partner_intake_id}/files/{partner_intake_file_id}"))
.bearer_auth(&token)
.send()
.await?
.error_for_status()?;
let body: serde_json::Value = response.json().await?;Python
partner_id = "<partner_id>"
partner_intake_id = "<partner_intake_id>"
partner_intake_file_id = "<partner_intake_file_id>"
response = requests.delete(
f"https://api.zympler.com/v1beta/partners/{partner_id}/intakes/{partner_intake_id}/files/{partner_intake_file_id}",
headers={"Authorization": f"Bearer {token}"},
timeout=30,
)
response.raise_for_status()
data = response.json()Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
partner_id | path | string (uuid) | yes | Partner ID |
partner_intake_id | path | string (uuid) | yes | Partner intake ID |
partner_intake_file_id | path | string (uuid) | yes | Partner intake file ID |
Responses
Status codes
| Status | Description |
|---|---|
200 | Ok |
400 | Bad Request |
401 | Unauthorized |
403 | Forbidden |
Get partner intake
GET /partners/{partner_id}/intakes-by-token/{partner_intake_id}
curl
PARTNER_ID="<partner_id>"
PARTNER_INTAKE_ID="<partner_intake_id>"
curl -X GET "https://api.zympler.com/v1beta/partners/$PARTNER_ID/intakes-by-token/$PARTNER_INTAKE_ID?token=string" \
-H "Authorization: Bearer $ZYMPLER_TOKEN"Rust
let partner_id = "<partner_id>";
let partner_intake_id = "<partner_intake_id>";
let response = reqwest::Client::new()
.get(format!("https://api.zympler.com/v1beta/partners/{partner_id}/intakes-by-token/{partner_intake_id}"))
.bearer_auth(&token)
.query(&[("token", "string")])
.send()
.await?
.error_for_status()?;
let body: serde_json::Value = response.json().await?;Python
partner_id = "<partner_id>"
partner_intake_id = "<partner_intake_id>"
response = requests.get(
f"https://api.zympler.com/v1beta/partners/{partner_id}/intakes-by-token/{partner_intake_id}",
headers={"Authorization": f"Bearer {token}"},
params={
"token": "string",
},
timeout=30,
)
response.raise_for_status()
data = response.json()Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
partner_id | path | string (uuid) | yes | Partner ID |
partner_intake_id | path | string (uuid) | yes | Partner intake ID |
token | query | string | yes | Time-limited JWT token to secure endpoints without a user |
Responses
Fields
Type: object
Status codes
| Status | Description |
|---|---|
200 | Ok |
401 | Unauthorized |
403 | Forbidden |
Update partner intake (deprecated, please use patch_partner_intake_by_token instead)
PUT /partners/{partner_id}/intakes-by-token/{partner_intake_id} (deprecated)
curl
PARTNER_ID="<partner_id>"
PARTNER_INTAKE_ID="<partner_intake_id>"
curl -X PUT "https://api.zympler.com/v1beta/partners/$PARTNER_ID/intakes-by-token/$PARTNER_INTAKE_ID?token=string" \
-H "Authorization: Bearer $ZYMPLER_TOKEN" \
-H "Content-Type: application/json" \
-d '{}'Rust
let partner_id = "<partner_id>";
let partner_intake_id = "<partner_intake_id>";
let response = reqwest::Client::new()
.put(format!("https://api.zympler.com/v1beta/partners/{partner_id}/intakes-by-token/{partner_intake_id}"))
.bearer_auth(&token)
.query(&[("token", "string")])
.json(&serde_json::json!({}))
.send()
.await?
.error_for_status()?;
let body: serde_json::Value = response.json().await?;Python
partner_id = "<partner_id>"
partner_intake_id = "<partner_intake_id>"
response = requests.put(
f"https://api.zympler.com/v1beta/partners/{partner_id}/intakes-by-token/{partner_intake_id}",
headers={"Authorization": f"Bearer {token}"},
params={
"token": "string",
},
json={},
timeout=30,
)
response.raise_for_status()
data = response.json()Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
partner_id | path | string (uuid) | yes | Partner ID |
partner_intake_id | path | string (uuid) | yes | Partner intake ID |
token | query | string | yes | Time-limited JWT token to secure endpoints without a user |
Request body
application/json
Type: object
Responses
Fields
Type: object
Status codes
| Status | Description |
|---|---|
200 | Ok |
400 | Bad Request |
401 | Unauthorized |
403 | Forbidden |
Patch partner intake
PATCH /partners/{partner_id}/intakes-by-token/{partner_intake_id}
curl
PARTNER_ID="<partner_id>"
PARTNER_INTAKE_ID="<partner_intake_id>"
curl -X PATCH "https://api.zympler.com/v1beta/partners/$PARTNER_ID/intakes-by-token/$PARTNER_INTAKE_ID?token=string" \
-H "Authorization: Bearer $ZYMPLER_TOKEN" \
-H "Content-Type: application/json" \
-d '{}'Rust
let partner_id = "<partner_id>";
let partner_intake_id = "<partner_intake_id>";
let response = reqwest::Client::new()
.patch(format!("https://api.zympler.com/v1beta/partners/{partner_id}/intakes-by-token/{partner_intake_id}"))
.bearer_auth(&token)
.query(&[("token", "string")])
.json(&serde_json::json!({}))
.send()
.await?
.error_for_status()?;
let body: serde_json::Value = response.json().await?;Python
partner_id = "<partner_id>"
partner_intake_id = "<partner_intake_id>"
response = requests.patch(
f"https://api.zympler.com/v1beta/partners/{partner_id}/intakes-by-token/{partner_intake_id}",
headers={"Authorization": f"Bearer {token}"},
params={
"token": "string",
},
json={},
timeout=30,
)
response.raise_for_status()
data = response.json()Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
partner_id | path | string (uuid) | yes | Partner ID |
partner_intake_id | path | string (uuid) | yes | Partner intake ID |
token | query | string | yes | Time-limited JWT token to secure endpoints without a user |
Request body
application/json
Type: object
Responses
Fields
Type: object
Status codes
| Status | Description |
|---|---|
200 | Ok |
400 | Bad Request |
401 | Unauthorized |
403 | Forbidden |
Upload partner intake file
POST /partners/{partner_id}/intakes-by-token/{partner_intake_id}/files
curl
PARTNER_ID="<partner_id>"
PARTNER_INTAKE_ID="<partner_intake_id>"
curl -X POST "https://api.zympler.com/v1beta/partners/$PARTNER_ID/intakes-by-token/$PARTNER_INTAKE_ID/files?file_id=00000000-0000-0000-0000-000000000000&file_type=string&original_filename=string&token=string" \
-H "Authorization: Bearer $ZYMPLER_TOKEN" \
-H "Content-Type: application/pdf" \
--data-binary @fileRust
let partner_id = "<partner_id>";
let partner_intake_id = "<partner_intake_id>";
let response = reqwest::Client::new()
.post(format!("https://api.zympler.com/v1beta/partners/{partner_id}/intakes-by-token/{partner_intake_id}/files"))
.bearer_auth(&token)
.query(&[("file_id", "00000000-0000-0000-0000-000000000000"), ("file_type", "string"), ("original_filename", "string"), ("token", "string")])
.header("Content-Type", "application/pdf")
.body(std::fs::read("file")?)
.send()
.await?
.error_for_status()?;
let body: serde_json::Value = response.json().await?;Python
partner_id = "<partner_id>"
partner_intake_id = "<partner_intake_id>"
response = requests.post(
f"https://api.zympler.com/v1beta/partners/{partner_id}/intakes-by-token/{partner_intake_id}/files",
headers={"Authorization": f"Bearer {token}", "Content-Type": "application/pdf"},
params={
"file_id": "00000000-0000-0000-0000-000000000000",
"file_type": "string",
"original_filename": "string",
"token": "string",
},
data=open("file", "rb"),
timeout=30,
)
response.raise_for_status()
data = response.json()Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
partner_id | path | string (uuid) | yes | Partner ID |
partner_intake_id | path | string (uuid) | yes | Partner intake ID |
file_id | query | string (uuid) | yes | Partner intake file ID |
file_type | query | string | yes | Partner intake file type |
original_filename | query | string | yes | Partner intake original file name |
mime_type | query | string | Partner intake file mime type | |
file_size | query | integer | Partner intake file size in bytes | |
token | query | string | yes | Time-limited JWT token to secure endpoints without a user |
Request body
application/pdf
Type: string (binary)
Responses
Status codes
| Status | Description |
|---|---|
200 | Ok |
400 | Bad Request |
401 | Unauthorized |
403 | Forbidden |
Download partner intake file
GET /partners/{partner_id}/intakes-by-token/{partner_intake_id}/files/{partner_intake_file_id}
curl
PARTNER_ID="<partner_id>"
PARTNER_INTAKE_ID="<partner_intake_id>"
PARTNER_INTAKE_FILE_ID="<partner_intake_file_id>"
curl -X GET "https://api.zympler.com/v1beta/partners/$PARTNER_ID/intakes-by-token/$PARTNER_INTAKE_ID/files/$PARTNER_INTAKE_FILE_ID?token=string" \
-H "Authorization: Bearer $ZYMPLER_TOKEN"Rust
let partner_id = "<partner_id>";
let partner_intake_id = "<partner_intake_id>";
let partner_intake_file_id = "<partner_intake_file_id>";
let response = reqwest::Client::new()
.get(format!("https://api.zympler.com/v1beta/partners/{partner_id}/intakes-by-token/{partner_intake_id}/files/{partner_intake_file_id}"))
.bearer_auth(&token)
.query(&[("token", "string")])
.send()
.await?
.error_for_status()?;
let body: serde_json::Value = response.json().await?;Python
partner_id = "<partner_id>"
partner_intake_id = "<partner_intake_id>"
partner_intake_file_id = "<partner_intake_file_id>"
response = requests.get(
f"https://api.zympler.com/v1beta/partners/{partner_id}/intakes-by-token/{partner_intake_id}/files/{partner_intake_file_id}",
headers={"Authorization": f"Bearer {token}"},
params={
"token": "string",
},
timeout=30,
)
response.raise_for_status()
data = response.json()Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
partner_id | path | string (uuid) | yes | Partner ID |
partner_intake_id | path | string (uuid) | yes | Partner intake ID |
partner_intake_file_id | path | string (uuid) | yes | Partner intake file ID |
token | query | string | yes | Time-limited JWT token to secure endpoints without a user |
Responses
Fields
Type: string (binary)
Status codes
| Status | Description |
|---|---|
200 | Ok |
401 | Unauthorized |
403 | Forbidden |
Delete partner intake file
DELETE /partners/{partner_id}/intakes-by-token/{partner_intake_id}/files/{partner_intake_file_id}
curl
PARTNER_ID="<partner_id>"
PARTNER_INTAKE_ID="<partner_intake_id>"
PARTNER_INTAKE_FILE_ID="<partner_intake_file_id>"
curl -X DELETE "https://api.zympler.com/v1beta/partners/$PARTNER_ID/intakes-by-token/$PARTNER_INTAKE_ID/files/$PARTNER_INTAKE_FILE_ID?token=string" \
-H "Authorization: Bearer $ZYMPLER_TOKEN"Rust
let partner_id = "<partner_id>";
let partner_intake_id = "<partner_intake_id>";
let partner_intake_file_id = "<partner_intake_file_id>";
let response = reqwest::Client::new()
.delete(format!("https://api.zympler.com/v1beta/partners/{partner_id}/intakes-by-token/{partner_intake_id}/files/{partner_intake_file_id}"))
.bearer_auth(&token)
.query(&[("token", "string")])
.send()
.await?
.error_for_status()?;
let body: serde_json::Value = response.json().await?;Python
partner_id = "<partner_id>"
partner_intake_id = "<partner_intake_id>"
partner_intake_file_id = "<partner_intake_file_id>"
response = requests.delete(
f"https://api.zympler.com/v1beta/partners/{partner_id}/intakes-by-token/{partner_intake_id}/files/{partner_intake_file_id}",
headers={"Authorization": f"Bearer {token}"},
params={
"token": "string",
},
timeout=30,
)
response.raise_for_status()
data = response.json()Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
partner_id | path | string (uuid) | yes | Partner ID |
partner_intake_id | path | string (uuid) | yes | Partner intake ID |
partner_intake_file_id | path | string (uuid) | yes | Partner intake file ID |
token | query | string | yes | Time-limited JWT token to secure endpoints without a user |
Responses
Status codes
| Status | Description |
|---|---|
200 | Ok |
400 | Bad Request |
401 | Unauthorized |
403 | Forbidden |